Bug 870979 - UI problems
Summary: UI problems
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-29 10:22 UTC by paolo borelli
Modified: 2015-02-17 14:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 14:32:13 UTC
Type: Bug


Attachments (Terms of Use)

Description paolo borelli 2012-10-29 10:22:21 UTC
The current firewall-config gui tool has many problems:

 - for a start if I go Help->About to have an idea where should I file a bug, it claims to be glade
 - the toolbar under the left panel list should use the "inline-toolbar" css class and use symbolic icons
 - the main toolbar somehow forces "text under icons" even if that has been not the default since the gnome2 days


However apart from these cosmetic issues, there are bigger usability issues: among others:

 - if I click on a zone on the left, is it applied right away?
 - it is not clear what each zone is and which one should I pick
 - default zone should just be a checkbox in the list
 - most important of all, if I just want to turn off the firewall and live happily how do I do that?

Comment 1 Matthew Miller 2012-11-21 13:12:47 UTC
> However apart from these cosmetic issues, there are bigger usability issues:
> among others:

Bug 876669 should address some of this.

Comment 2 Thomas Woerner 2012-11-21 15:25:04 UTC
- Some of these are addessed in GIT already: about dialog and inline toolbars.
- Text under icons will be off shortly in the main toolbar
- More documentation is in the works to explain zones and how they can be used
- A menu entry to enable/disable the firewalld service will be added also

Zone selection per connection is addressed in #876669.

Comment 3 Thomas Woerner 2013-01-11 19:17:26 UTC
The menu entry to enable/disable the firewalld service can not be added, because there is no service enable/disable in systemd available over D-BUS. Using the systemctl command is not an option, because it would require root rights in the UI.

Comment 4 Matthew Miller 2013-01-14 16:58:23 UTC
(In reply to comment #3)
> The menu entry to enable/disable the firewalld service can not be added,
> because there is no service enable/disable in systemd available over D-BUS.
> Using the systemctl command is not an option, because it would require root
> rights in the UI.

That might be a feature request for systemd?

Comment 5 Fedora End Of Life 2013-04-03 17:55:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 6 Fedora End Of Life 2015-01-09 17:26:48 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-02-17 14:32:13 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.